<template>
<v-container>
    <v-card>
        <v-card-title>ออร์เดอร์ทั้งหมด</v-card-title>
        <v-divider></v-divider>
        <v-row style="padding: 10px;">
            <v-col class="text-start">
                <v-btn @click="goHome()" text>
                    <v-icon elevation="2" fab>mdi-arrow-left</v-icon>กลับไปยังหน้า Shop
                </v-btn>
            </v-col>
        </v-row>
        <v-card-text>
            <v-list>
                <v-list-item v-for="order in orders" :key="order.loginId">
                    <v-list-item-content>
                        <v-list-item-title>รหัสคำสั่งซื้อ: {{ order._id }}</v-list-item-title>
                        <v-list-item-subtitle>สั่งซื้อโดย: {{ order.loginId }}</v-list-item-subtitle>
                        <v-list-item-subtitle>สถานะ: {{ statusOrder() }}</v-list-item-subtitle>
                        <v-list-item-subtitle>สั่งซื้อเมื่อ: {{ formatDate(order.createdAt) }}</v-list-item-subtitle>
                        <v-list-item-subtitle>ราคา: {{ order.total }}</v-list-item-subtitle>
                        <v-list-item-subtitle>
                            รายการทั้งหมด:
                            <v-list>
                                <v-list-item v-for="(item, index) in order.items" :key="index">
                                    <v-list-item-content>
                                        <v-img v-if="item.productId.picmenu" :src="item.productId.picmenu" max-height="300" max-width="300" contain></v-img>
                                        <v-list-item-title>เมนู: {{ item.productId.products_name }}</v-list-item-title>
                                        <v-list-item-subtitle>จำนวน: {{ item.quantity }}</v-list-item-subtitle>
                                    </v-list-item-content>
                                </v-list-item>
                            </v-list>
                            <v-divider></v-divider>
                        </v-list-item-subtitle>
                    </v-list-item-content>
                </v-list-item>
            </v-list>
        </v-card-text>
    </v-card>
</v-container>
</template>

<script>
import axios from 'axios';

export default {
    data() {
        return {
            orders: [],
            status_order: "",
        };
    },
    created() {
        this.fetchOrders();
    },
    methods: {
        async fetchOrders() {
            try {
                const response = await axios.get(`http://192.168.73.121:3000/orders/${this.loginId}`);
                this.orders = response.data;
                console.log(response.data);

                // this.orders.forEach((order, index) => {
                //     console.log(`สถานะของออร์เดอร์ที่ ${index + 1}: ${order.status}`);
                // });

                // เรียกใช้ method statusOrder() หลังจากได้รับข้อมูล order เรียบร้อยแล้ว
                const status = this.statusOrder();
                console.log(status);
            } catch (error) {
                console.error('Error fetching orders:', error);
            }
        },
        statusOrder() {
            // ตรวจสอบว่ามี order ในตัวแปร this หรือไม่
            if (!this.orders || this.orders.length === 0) {
                console.error('No orders available.');
                return;
            }

            // ตรวจสอบสถานะของ order แรกในรายการ
            const firstOrderStatus = this.orders[0].status;
            if (firstOrderStatus === 'PaymentSuccess') {
                return 'ชำระเงินแล้ว';
            } else if (firstOrderStatus === 'Success') {
                return 'สำเร็จ';
            } else {
                return firstOrderStatus;
            }
        },
        formatDate(date) {
            return new Date(date).toLocaleString();
        },
        goHome() {
            this.$router.push('/');
        },
    }
};
</script>
